default:
  image: node
  interruptible: true

# 0_package-lock-2b07559abd431bd8369c9466d13948583dddfbe6-protected
clasique:
  script:
    - npm ci --cache .npm --prefer-offline
    - ls package-lock.json
  cache:
    key:
      files:
        - package-lock.json
    paths:
      - .npm/

# 0_-2b07559abd431bd8369c9466d13948583dddfbe6-protected
with ./:
  script:
    - npm ci --cache .npm --prefer-offline
    - ls ./package-lock.json
  cache:
    key:
      files:
        - ./package-lock.json
    paths:
      - ./.npm/

# 0_-2b07559abd431bd8369c9466d13948583dddfbe6-protected
with .//:
  script:
    - npm ci --cache .npm --prefer-offline
    - ls .//package-lock.json
  cache:
    key:
      files:
        - .//package-lock.json
    paths:
      - .//.npm/

# 0_.//package-lock-default-protected
with VAR = ./:
  variables:
    KEY: ./
  script:
    - npm ci --cache .npm --prefer-offline
    - ls $KEY/package-lock.json
  cache:
    key:
      files:
        - $KEY/package-lock.json
    paths:
      - $KEY/.npm/

# 0_./package-lock-default-protected
with VAR = .:
  variables:
    KEY: "."
  script:
    - npm ci --cache .npm --prefer-offline
    - ls $KEY/package-lock.json
  cache:
    key:
      files:
        - $KEY/package-lock.json
    paths:
      - $KEY/.npm/

# 0_/builds/package-lock-default-protected
with VAR = $CI_BUILDS_DIR:
  variables:
    KEY: $CI_BUILDS_DIR
  script:
    - npm ci --cache .npm --prefer-offline
    - ls $KEY/package-lock.json
    - npm run lint --workspace=nested
  cache:
    key:
      files:
        - $KEY/package-lock.json
    paths:
      - $KEY/.npm/

nested:
  trigger:
    include: nested/.gitlab-ci.yml
